| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::ContactSubscriptions Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- uint subscribe
- uint publish
- QString publishRequest

## Detailed Description

Structure type generated from the specification.

A single contact's subscribe, publish and publish-request attributes.

## Member Data Documentation

uint Tp::ContactSubscriptions::subscribe

The new value of the contact's "subscribe" attribute.

uint Tp::ContactSubscriptions::publish

The new value of the contact's "publish" attribute.

QString Tp::ContactSubscriptions::publishRequest

The new value of the contact's "publish-request" attribute, or the empty string if that attribute would be omitted.